# Table `Strings`

Display strings.

## Functions

ShowString(str, time, autoDelete) | Show some text on-screen.
HideString(str) | Hide some on-screen text.
IsStringDisplaying(str) | Checks if the string is shown

## Functions

ShowString(str, time, autoDelete)
  Show some text on-screen.

  ### Parameters:

  - str DisplayString the string object to draw
  - time float the time in seconds for which to show the string. If not given, the string will have an "infinite" life, and will show until HideString is called or until the level is finished. Default: nil (i.e. infinite)
  - autoDelete bool should be string automatically deleted after timeout is reached. If not given, the string will remain allocated even after timeout is reached, and can be shown again without re-initialization. Default: true
HideString(str)
  Hide some on-screen text.

  ### Parameters:

  - str DisplayString the string object to hide. Must previously have been shown with a call to ShowString, or this function will have no effect.
IsStringDisplaying(str)
  Checks if the string is shown

  ### Parameters:

  - str DisplayString the string object to be checked

  ### Returns:

  bool true if it is shown, false if it is hidden

generated by TEN-LDoc (a fork of LDoc 1.4.6)